/*----------------------------------------------------------------------------
/ fobO[`										2005 (C)LogicPack
/	05.01						000		M.Yamada
/		first release(M-801)
/	05.07.22					001		M.Yamada
/		񏈗֘Amstring.cɕ
/---------------------------------------------------------------------------*/
#include <string.h>
#include "sci.h"
#include "mstring.h"

static char temp[10];

void debug_out(const char *str)
{
#if 0
	sci1_puts((byte*)str, strlen(str));
#else
	int len, slen;
	do{
		len = (int)strlen(str);
		slen = sci1_puts((byte*)str, len);
		str += slen;
		len -= slen;
	}while(len > 0);
#endif
}

/*---*/
void debug_outb(byte data)
{
	byte2str(data, temp);
	debug_out(temp);
}
void debug_outw(word data)
{
	word2str(data, temp);
	debug_out(temp);
}
void debug_outd(dword data)
{
	dword2str(data, temp);
	debug_out(temp);
}
/*---*/
void debug_outb3(const char *top, byte data, const char *bottom)
{
	debug_out(top);
	debug_outb(data);
	debug_out(bottom);
}
void debug_outw3(const char *top, word data, const char *bottom)
{
	debug_out(top);
	debug_outw(data);
	debug_out(bottom);
}
void debug_outd3(const char *top, dword data, const char *bottom)
{
	debug_out(top);
	debug_outd(data);
	debug_out(bottom);
}
